Name:       marathi-typing-booster
Version:    0.0.1
Release:    3%{?dist}
Summary:    Marathi Typing Booster Table for IBus Indic Tables
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table
Patch1: dny-chractar.patch
Patch2: increase-base-char-freq.patch

%description
Indic Typing Booster Package contains tables for Indic languages Marathi

%prep
%setup -q
%patch1 -p1 -b .1-corrected-dny-character
%patch2 -p1 -b .2-improved-basic-char-freq

%build
%configure \
  --enable-marathi-phonetic \
  --enable-marathi-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n marathi-phonetic.db
%{_bindir}/ibus-indic-table-createdb -i -n marathi-inscript.db


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/marathi.svg
%{_datadir}/ibus-indic-table/indic-tables/marathi-phonetic.db
%{_datadir}/ibus-indic-table/indic-tables/marathi-inscript.db



%changelog
* Tue Aug 02 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-3
- increased base character freq

* Tue Aug 02 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-2
- corrected dny as per suggestion from Amod

* Fri Mar 11 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Marathi Phonetic
- Added Marathi Inscript
